Skip to main content
GET
/
terminals
/
{terminalId}
Get a terminal
curl --request GET \
  --url https://api.guile.app/terminals/{terminalId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "platform": "ios",
  "deviceIdentifier": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deviceModel": "<string>"
}

Path Parameters

terminalId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Response

Ok. The operation succeeded.

A device registered as a known terminal for in-person payments.

id
string
required

The unique identifier for this terminal.

platform
enum<string>
required

Supported device platforms for payment terminals.

Available options:
ios
deviceIdentifier
string
required

The stable device identifier reported by the app.

Maximum string length: 255
createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

deviceModel
string

The device model reported by the app.

Maximum string length: 100